> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get person activities

> Retrieves activities for a specific person with pagination



## OpenAPI

````yaml GET /v0/person-activities
openapi: 3.1.0
info:
  title: Stardex API (v0)
  version: 0.0.1
  description: Stardex ATS legacy API.
servers:
  - url: https://api.stardex.ai
    description: Production API server
security:
  - bearerAuth: []
tags: []
paths:
  /v0/person-activities:
    get:
      tags:
        - people
        - activities
      summary: Get person activities
      description: Retrieves activities for a specific person with pagination
      parameters:
        - in: query
          name: person_id
          required: true
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            default: 40
        - in: query
          name: offset
          required: false
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPersonActivitiesResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPersonActivitiesResponse'
        '404':
          description: Person not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPersonActivitiesResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPersonActivitiesResponse'
components:
  schemas:
    GetPersonActivitiesResponse:
      type: object
      properties:
        error:
          type:
            - string
            - 'null'
        data:
          type:
            - object
            - 'null'
          properties:
            activities:
              type: array
              items:
                $ref: '#/components/schemas/ActivityData'
            total:
              type: number
            limit:
              type: number
            offset:
              type: number
          required:
            - activities
            - total
            - limit
            - offset
      required:
        - error
        - data
    ActivityData:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        created_at:
          type: string
        content:
          type: string
          description: Content in HTML format
        raw_content:
          type: string
          description: Plain text content
        team_member:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
            name:
              type:
                - string
                - 'null'
            email:
              type:
                - string
                - 'null'
          required:
            - id
            - name
            - email
      required:
        - id
        - type
        - created_at
        - content
        - raw_content
        - team_member
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Authenticate with a Bearer token: API key, OAuth token, or session
        token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.